zenilib: zenilib/jni/external/openal-soft/Alc/backends/solaris.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
solaris.c File Reference
`#include "config.h"`
`#include <sys/ioctl.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <memory.h>`
`#include <unistd.h>`
`#include <errno.h>`
`#include <math.h>`
`#include "alMain.h"`
`#include "alu.h"`
`#include <sys/audioio.h>`

Go to the source code of this file.

## Functions

void | alc_solaris_deinit (void)
ALCboolean | alc_solaris_init (BackendFuncs *func_list)
void | alc_solaris_probe (enum DevProbe type)
static void | solaris_close_playback (ALCdevice *device)
static ALCenum | solaris_open_playback (ALCdevice *device, const ALCchar *deviceName)
static ALCboolean | solaris_reset_playback (ALCdevice *device)
static ALCboolean | solaris_start_playback (ALCdevice *device)
static void | solaris_stop_playback (ALCdevice *device)
static ALuint | SolarisProc (ALvoid *ptr)

## Variables

static const ALCchar | solaris_device [] = "Solaris Default"
static const char * | solaris_driver = "/dev/audio"
static const BackendFuncs | solaris_funcs

## Function Documentation

void alc_solaris_deinit | ( | void |  | ) |

Definition at line 266 of file solaris.c.

ALCboolean alc_solaris_init | ( | BackendFuncs * | func_list | ) |

Definition at line 258 of file solaris.c.

References ALC_TRUE, ConfigValueStr(), solaris_driver, and solaris_funcs.

void alc_solaris_probe | ( | enum DevProbe | type | ) |

Definition at line 270 of file solaris.c.

References ALL_DEVICE_PROBE, AppendAllDevicesList(), CAPTURE_DEVICE_PROBE, solaris_device, and solaris_driver.

static void solaris_close_playback | ( | ALCdevice * | device | ) |

static

Definition at line 123 of file solaris.c.

References ALCdevice_struct::ExtraData, free, and NULL.

static ALCenum solaris_open_playback | ( | ALCdevice * | device,
|  | const ALCchar * | deviceName
| ) |  |

static

Definition at line 98 of file solaris.c.

References ALC_INVALID_VALUE, ALC_NO_ERROR, calloc, ALCdevice_struct::DeviceName, ERR, ALCdevice_struct::ExtraData, free, solaris_device, solaris_driver, and strdup().

static ALCboolean solaris_reset_playback | ( | ALCdevice * | device | ) |

static

Definition at line 132 of file solaris.c.

References ALC_FALSE, ALC_TRUE, BytesFromDevFmt(), ChannelsFromDevFmt(), DevFmtByte, DevFmtFloat, DevFmtInt, DevFmtMono, DevFmtShort, DevFmtStereo, DevFmtTypeString(), DevFmtUByte, DevFmtUInt, DevFmtUShort, ERR, ALCdevice_struct::ExtraData, ALCdevice_struct::FmtChans, ALCdevice_struct::FmtType, ALCdevice_struct::Frequency, ALCdevice_struct::NumUpdates, SetDefaultChannelOrder(), and ALCdevice_struct::UpdateSize.

static ALCboolean solaris_start_playback | ( | ALCdevice * | device | ) |

static

Definition at line 203 of file solaris.c.

References ALC_FALSE, ALC_TRUE, calloc, ALCdevice_struct::ExtraData, ALCdevice_struct::FmtChans, ALCdevice_struct::FmtType, FrameSizeFromDevFmt(), free, NULL, SolarisProc(), StartThread(), and ALCdevice_struct::UpdateSize.

static void solaris_stop_playback | ( | ALCdevice * | device | ) |

static

Definition at line 221 of file solaris.c.

References ERR, ALCdevice_struct::ExtraData, free, NULL, and StopThread().

static ALuint SolarisProc | ( | ALvoid * | ptr | ) |

static

Definition at line 54 of file solaris.c.

References ALCdevice_Lock, ALCdevice_Unlock, aluHandleDisconnect(), aluMixData(), ALCdevice_struct::Connected, ERR, ALCdevice_struct::ExtraData, ALCdevice_struct::FmtChans, ALCdevice_struct::FmtType, FrameSizeFromDevFmt(), SetRTPriority(), and Sleep.

Referenced by solaris_start_playback().

## Variable Documentation

const ALCchar solaris_device[] = "Solaris Default"

static

OpenAL cross platform audio library Copyright (C) 1999-2007 by authors. This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.

You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. Or go to http://www.gnu.org/copyleft/lgpl.html

Definition at line 40 of file solaris.c.

Referenced by alc_solaris_probe(), and solaris_open_playback().

const char* solaris_driver = "/dev/audio"

static

Definition at line 42 of file solaris.c.

Referenced by alc_solaris_init(), alc_solaris_probe(), and solaris_open_playback().

const BackendFuncs solaris_funcs

static

Initial value:
= {
solaris_open_playback,
solaris_close_playback,
solaris_reset_playback,
solaris_start_playback,
solaris_stop_playback,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
ALCdevice_LockDefault,
ALCdevice_UnlockDefault,
ALCdevice_GetLatencyDefault
}
NULL
#define NULL
Definition: ftobjs.h:61
solaris_stop_playback
static void solaris_stop_playback(ALCdevice *device)
Definition: solaris.c:221
ALCdevice_GetLatencyDefault
ALint64 ALCdevice_GetLatencyDefault(ALCdevice *device)
Definition: ALc.c:1285
solaris_close_playback
static void solaris_close_playback(ALCdevice *device)
Definition: solaris.c:123
solaris_open_playback
static ALCenum solaris_open_playback(ALCdevice *device, const ALCchar *deviceName)
Definition: solaris.c:98
ALCdevice_LockDefault
void ALCdevice_LockDefault(ALCdevice *device)
Definition: ALc.c:1277
solaris_reset_playback
static ALCboolean solaris_reset_playback(ALCdevice *device)
Definition: solaris.c:132
solaris_start_playback
static ALCboolean solaris_start_playback(ALCdevice *device)
Definition: solaris.c:203
ALCdevice_UnlockDefault
void ALCdevice_UnlockDefault(ALCdevice *device)
Definition: ALc.c:1281

Definition at line 241 of file solaris.c.

Referenced by alc_solaris_init().